### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
BMASwapRateHelper Class Reference

Rate helper for bootstrapping over BMA swap rates. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for BMASwapRateHelper:
[legend]

List of all members.

## Public Member Functions

| BMASwapRateHelper (const Handle< Quote > &liborFraction, const Period &tenor, Natural settlementDays, const Calendar &calendar, const Period &bmaPeriod, BusinessDayConvention bmaConvention, const DayCounter &bmaDayCount, const boost::shared_ptr< BMAIndex > &bmaIndex, const boost::shared_ptr< IborIndex > &index)
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
Visitability
void | accept (AcyclicVisitor &)

## Protected Member Functions

void | initializeDates ()

## Protected Attributes

Period | tenor_
Natural | settlementDays_
Calendar | calendar_
Period | bmaPeriod_
BusinessDayConvention | bmaConvention_
DayCounter | bmaDayCount_
boost::shared_ptr< BMAIndex > | bmaIndex_
boost::shared_ptr< IborIndex > | iborIndex_
boost::shared_ptr< BMASwap > | swap_
RelinkableHandle < YieldTermStructure > | termStructureHandle_

## Detailed Description

Rate helper for bootstrapping over BMA swap rates.